Status: Resolved Priority: Should have
Author: Arvid Jakobsson Category: Code Cleanup
Created: 2012-09-16 Assigned To: Arvid Jakobsson
Updated: 2012-09-17 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Subject: Superfluous brackets in sysext sysexts "sv", "sys_action", "sys_note" and "t3editor" after namespaces move
Description

The following syntax appears in various parts of these extensions:

-    if (((!$root && !$DBmount) && $elFromTable) && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {
+    if (!$root && !$DBmount && $elFromTable && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {

Associated revisions
Revision 5422f6aa - 2012-09-17 21:57 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "sv", "sys_action",
"sys_note" and "t3editor".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: Ib4b3541051a30895d6657b6af367f9c6c58dac44
Resolves: #40971
Related: #40095
Reviewed-on: http://review.typo3.org/14630
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History
#1 - 2012-09-16 22:36 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14630

#2 - 2012-09-17 22:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:5422f6aa66183948714db159d8592271f5c8355c.
